package com.tykj.dev.device.user.subject.service;

import com.tykj.dev.device.user.subject.entity.Groups;

import java.util.List;

public interface GroupService {
    /**
     * 添加分组
     * @param group 组对象
     */
    void saveGroup(Groups group);

    /**
     * 根据类型查询
     * @param type 类型
     * @return 组集合
     */
    List<Groups> findAll(Integer type);

    /**
     * 根据id删除组
     * @param id 组id
     */
    void delectGroup(Integer id);

    /**
     * 根据id查询单位ID集合
     * @param id 组id
     */
    List<Integer> findGroup(Integer id);

    /**
     * 根据id查询组详情
     */
    Groups findById(Integer id);

}
